@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap');
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    background: #24252a;
}

li, a, button {
    font-weight: 500;
    font-size: 16px;
    color: #edf0f1;
    text-decoration: none;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 30px 10%;
    height: 100px;
}

.logo {
    cursor: pointer;
    width: 125px;
    height: 80px;
}

.nav_links {
    list-style: none;
}

.nav_links li {
    display: inline-block;
    padding: 0px 20px;
}

.nav_links li a {
    transition: all 0.3s ease 0s;
}

.nav_links li a:hover {
    color: #0088a9;
}

.navbar-btn {
    padding: 9px 25px;
    background-color: rgba(0, 136, 169, 1);
    border: none;
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.3s ease 0s;
}

.navbar-btn:hover {
    background-color: rgba(0, 136, 169, 0.8);
}

/*--------------------------------------*/

.landing {
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px;
    position: relative;
    overflow: hidden;
    background-color: #383838;
}

.landing::before {
    content: "";
    position: absolute;
    inset: 0;
    z-index: 1;
}

.background-image {
    position: absolute;
    margin-left: 50%;
    inset: 0;
    width: 50%;
    height: 85%;
    object-fit: cover;
    z-index: 0;
}

.content {
    position: relative;
    z-index: 2;
    max-width: 600px;
    height: 80vh;
    background-color: #383838;
}

.subtitle {
    color: #ff2d2d;
    font-size: 18px;
    letter-spacing: 4px;
    margin-bottom: 20px;
    font-weight: 600;
    background-color: #383838;
}

.home-title {
    font-size: 70px;
    line-height: 0.95;
    font-weight: 800;
    margin-bottom: 30px;
    text-transform: uppercase;
    background-color: #383838;
}

.description {
    font-size: 18px;
    line-height: 1.8;
    color: #d0d0d0;
    background-color: #383838;
}

.portfolio_btn {
    display: inline-block;
    padding: 18px 40px;
    border: 2px solid #ff2d2d;
    border-radius: 30px;
    color: white;
    text-decoration: none;
    font-weight: 600;
    letter-spacing: 2px;
    transition: 0.3s ease;
}

.portfolio_btn:hover {
    background: #ff2d2d;
    transform: translateY(-3px);
}

.footer{
  width:100%;
  padding:60px 40px;
  background:#080808;
  border-top:1px solid rgba(255,255,255,0.06);
  margin-top:120px;
}

.footer-content{
  max-width:1400px;
  background:#080808;
  margin:auto;
  display:flex;
  flex-direction:column;
  align-items:center;
  justify-content:center;
  gap:20px;
}

.footer-logo{
  font-size:28px;
  background:#080808;
  font-weight:800;
  letter-spacing:2px;
  text-transform:uppercase;
  color: #fff;
}

.footer-text{
  color:#777;
  background:#080808;
  font-size:15px;
}

.socials{
  display:flex;
  background:#080808;
  gap:18px;
  margin-top:10px;
}

.social-link{
  width:48px;
  height:48px;
  background:#080808;
  border-radius:14px;
  display:flex;
  align-items:center;
  justify-content:center;
  color:white;
  text-decoration:none;
  font-size:20px;
  transition:0.3s ease;
  border:1px solid rgba(255,255,255,0.05);
}

.social-link:hover{
  background:#ff2d2d;
  transform:translateY(-4px);
}

.fa-brands {
    background: none;
}

/*-----------PORTFOLIO.HTML-----------*/

.portfolio-title {
    color: #fff;
    font-size: 70px;
    line-height: 0.95;
    font-weight: 800;
    margin-bottom: 30px;
    text-transform: uppercase;
    text-align: center;
}

.card-subtitle{
    color:#999;
    font-size:18px;
    margin-bottom:20px;
    text-align: center;
}

.circuit-section{
    margin-bottom:50px;
    padding: 20px;
}

.circuit-title{
    font-size:32px;
    font-weight:700;
    margin-bottom:35px;
    border-left:4px solid #ff2d2d;
    padding-left:15px;
    color: #fff;
}

.grid{
    display:grid;
    grid-template-columns:repeat(auto-fit,minmax(280px,1fr));
    gap:25px;
}

.card{
    background:#111;
    border-radius:18px;
    overflow:hidden;
    transition:0.3s ease;
    cursor:pointer;
    border:1px solid rgba(255,255,255,0.05);
}

.card:hover{
    transform:translateY(-6px);
    background:#161616;
    border-color:#ff2d2d;
}

.card-image{
    width:100%;
    height:180px;
    background:#1c1c1c;
    display:flex;
    align-items:center;
    justify-content:center;
    overflow:hidden;
}

.card-image img{
    width:70%;
    height:auto;
    object-fit: scale-down;
}

.card-content{
    padding:25px;
}

.competition-name{
    font-size:22px;
    font-weight:700;
    margin-bottom:12px;
    color: #fff;
}

.competition-date{
    color:#999;
    font-size:15px;
    letter-spacing:1px;
    color: #ff2d2d;
}

.see-photos a {
    padding: 5px 5px;
    border: 2px solid #ff2d2d;
    border-radius: 30px;
    color: white;
    text-decoration: none;
    font-weight: 600;
    letter-spacing: 2px;
    transition: 0.3s ease;
}

.see-photos:hover a {
    background: #ff2d2d;
    transform: translateY(-3px);
}

/*-----Photos Pages-----*/

.gallery{
    columns:4 300px;
    column-gap:20px;
    padding: 20px;
    margin: 20px;
}

.photo{
    break-inside:avoid;
    margin-bottom:20px;
    overflow:hidden;
    border-radius:12px;
}

.photo img{
    width:100%;
    display:block;
    border-radius:12px;
}

/* ========================= */
/* MENU HAMBURGER */
/* ========================= */

.menu-toggle{
    display:none;
    font-size:32px;
    color:white;
    background:none;
    border:none;
    cursor:pointer;
    z-index:1001;
}

.mobile-contact{
    display:none;
}

@media (max-width:1024px){

header{
    padding:20px;
    position:relative;
}

.menu-toggle{
    display:block;
}

.cta{
    display:none;
}

nav{
    position:absolute;
    top:100%;
    left:0;
    width:100%;
    display:none;
    background:#24252a;
    z-index:999;
}

nav.active{
    display:block;
}

.nav_links{
    display:flex;
    flex-direction:column;
    align-items:center;
    padding:20px 0;
}

.nav_links li{
    display:block;
    padding:20px 0;
}

.mobile-contact{
    display:block;
}

.landing{
    position:relative;
    display:flex;
    justify-content:center;
    align-items:center;
    padding:60px 25px;
    min-height:100vh;
    overflow:hidden;
}

.background-image{
    position:absolute;
    inset:0;
    width:100%;
    height:100%;
    margin:0;
    object-fit:cover;
    opacity:0.18;      /* Transparence */
    filter:brightness(60%);
    z-index:0;
}

.content{
    position:relative;
    z-index:1;
    max-width:100%;
    height:auto;
    text-align:center;
    background:transparent;
}

.subtitle,
.home-title,
.description{
    background:transparent;
}


.home-title{
    font-size:48px;
}

.description{
    font-size:16px;
}

}

@media(max-width:768px){

.home-title{
    font-size:36px;
}

.subtitle{
    font-size:16px;
}

.description{
    font-size:15px;
}

.portfolio_btn{
    padding:15px 25px;
}

.footer-logo{
    font-size:20px;
}

}